### Class

# Clutter ActorMeta

#### Description [src]

    abstract class Clutter.ActorMeta : GObject.InitiallyUnowned
    {
      /* No available fields */
    }

Base class of actor modifiers

`ClutterActorMeta` is an abstract class providing a common API for modifiers of `ClutterActor` behaviour, appearance or layout.

A `ClutterActorMeta` can only be owned by a single `ClutterActor` at any time.

Every sub-class of `ClutterActorMeta` should check if the `ClutterActorMeta:enabled` property is set to `TRUE` before applying any kind of modification.

#### Ancestors

- GInitiallyUnowned
- GObject

#### Descendants

- ClutterAction
- ClutterConstraint
- ClutterEffect

#### Instance methods

###### clutter_actor_meta_get_actor

Retrieves a pointer to the `ClutterActor` that owns `meta`.

###### clutter_actor_meta_get_enabled

Retrieves whether `meta` is enabled.

###### clutter_actor_meta_get_name

Retrieves the name set using `clutter_actor_meta_set_name()`.

###### clutter_actor_meta_set_enabled

Sets whether `meta` should be enabled or not.

###### clutter_actor_meta_set_name

Sets the name of `meta`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Clutter.ActorMeta:actor

The `ClutterActor` attached to the `ClutterActorMeta` instance.

###### Clutter.ActorMeta:enabled

Whether or not the `ClutterActorMeta` is enabled.

###### Clutter.ActorMeta:name

The unique name to access the `ClutterActorMeta`.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ClutterActorMetaClass {
      void (* set_actor) (
        ClutterActorMeta* meta,
        ClutterActor* actor
      );
      void (* set_enabled) (
        ClutterActorMeta* meta,
        gboolean is_enabled
      );

    }

The `ClutterActorMetaClass` structure contains only private data.

###### Class members

`set_actor: void (* set_actor) ( ClutterActorMeta* meta, ClutterActor* actor )`

  Virtual function, invoked when attaching and detaching a `ClutterActorMeta` instance to a `ClutterActor`.

`set_enabled: void (* set_enabled) ( ClutterActorMeta* meta, gboolean is_enabled )`

  No description available.

#### Virtual methods

###### Clutter.ActorMetaClass.set_actor

Virtual function, called when `meta` is attached or detached from a `ClutterActor`.

###### Clutter.ActorMetaClass.set_enabled

Sets whether `meta` should be enabled or not.